Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159392 - 2 * local variable used before set
Summary: 2 * local variable used before set
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: iiimf
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-02 12:11 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: iiimf-12.2-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-27 03:53:32 UTC


Attachments (Terms of Use)

Description David Binderman 2005-06-02 12:11:24 UTC
Description of problem:

I just tried to compile package iiimf-12.2-4 from Redhat
Fedora Core development tree with the most excellent Intel C compiler.

The compiler said

1.

EIMIL.c(2702): remark #592: variable "e" is used before its value is set

The source code is

    {
        Ebyte *s, *e;

        for (s = pps->start;(s < e && EIMIL_isspace(*s));s++);

Clearly broken code. Suggest initialise local variable "e" before
first use.

2.

xfactory.c(498): remark #592: variable "result" is used before its value is set

The source code is

  match = XftFontMatch(display, DefaultScreen(display), xfp, result);

More clearly broken code. Suggest initialise local variable "result"
before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Akira TAGOH 2005-06-10 11:38:34 UTC
committed the changes in CVS. will be fixed in next build.

Comment 2 Akira TAGOH 2005-06-16 12:14:40 UTC
Fixed in 12.2-5.

Comment 3 Lawrence Lim 2005-06-27 03:53:32 UTC
Tested with iiimf-12.2-5, confirmed both have been updated.

1)
{
        Ebyte *s, *e = pps->end;

        for (s = pps->start;(s < e && EIMIL_isspace(*s));s++);

2) 
match = XftFontMatch(display, DefaultScreen(display), xfp, &result);


Note You need to log in before you can comment on or make changes to this bug.